- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gst::MessageClockLost Class Reference

A clock lost message. More...

`#include <message.h>`

Inheritance diagram for Gst::MessageClockLost:

List of all members.

## Public Member Functions
| MessageClockLost (GstMessage* castitem)
Glib::RefPtr<Gst::Clock> | parse ()
| Extracts and returns the lost clock from the Gst::MessageClockLost.
Glib::RefPtr<const Gst::Clock> | parse () const
| Extracts and returns the lost clock from the Gst::MessageClockLost.
## Static Public Member Functions
static Glib::RefPtr<Gst::Message> | create (const Glib::RefPtr<Gst::Object>& src, const Glib::RefPtr<Gst::Clock>& clock)
| Create a clock lost message.

## Detailed Description

A clock lost message.

See create() for more details.

## Constructor& Destructor Documentation

Gst::MessageClockLost::MessageClockLost | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Message> Gst::MessageClockLost::create | ( | const Glib::RefPtr<Gst::Object>& | src,
|  | const Glib::RefPtr<Gst::Clock>& | clock |
| ) |  |  | `[static]`

Create a clock lost message.

This message is posted whenever the clock is not valid anymore. If this message is posted by the pipeline, the pipeline will select a new clock again when it goes to PLAYING. It might therefore be needed to set the pipeline to PAUSED and PLAYING again.

Parameters:

  | src | The object originating the message.
  | clock | The clock that was lost.

Returns:
  The new clock lost message. MT safe.

Glib::RefPtr<Gst::Clock> Gst::MessageClockLost::parse | ( |  | ) |

Extracts and returns the lost clock from the Gst::MessageClockLost.

The clock object returned remains valid until the message is freed.

MT safe.

Returns:
  The lost clock.

Glib::RefPtr<const Gst::Clock> Gst::MessageClockLost::parse | ( |  | ) | const

Extracts and returns the lost clock from the Gst::MessageClockLost.

The clock object returned remains valid until the message is freed.

MT safe.

Returns:
  The lost clock.

The documentation for this class was generated from the following file:

- message.h